# Uses of Interface
org.apache.wiki.api.core.Engine

Packages that use Engine
Package
Description
org.apache.wiki.api.core
JSPWiki's central API.
org.apache.wiki.api.engine
JSPWiki's Engine's component related classes.
org.apache.wiki.api.filters
Filter's API package of JSPWiki.
org.apache.wiki.api.plugin
Plugin's API package of JSPWiki.
org.apache.wiki.api.providers
Page Providers' API package of JSPWiki.
org.apache.wiki.api.spi
JSPWiki's SPI package.

## Uses of Engine in org.apache.wiki.api.core

Methods in org.apache.wiki.api.core with type parameters of type Engine
Modifier and Type
Method
Description
`default <E extends Engine>
E`
Engine.`adapt(Class<E> cls)`
Adapt Engine to a concrete type.
Methods in org.apache.wiki.api.core that return Engine
Modifier and Type
Method
Description
`Engine`
Context.`getEngine()`
Returns the handling engine.

## Uses of Engine in org.apache.wiki.api.engine

Methods in org.apache.wiki.api.engine with parameters of type Engine
Modifier and Type
Method
Description
`void`
Initializable.`initialize(Engine engine, Properties props)`
Initializes this Engine component.
`default void`
EngineLifecycleExtension.`onShutdown(Engine e, Properties properties)`
Called before `Engine` shutdown.
`default void`
EngineLifecycleExtension.`onStart(Engine e, Properties properties)`
Called after `Engine` initialization.

## Uses of Engine in org.apache.wiki.api.filters

Fields in org.apache.wiki.api.filters declared as Engine
Modifier and Type
Field
Description
`protected Engine`
BasePageFilter.`m_engine`
Methods in org.apache.wiki.api.filters with parameters of type Engine
Modifier and Type
Method
Description
`default void`
PageFilter.`destroy(Engine engine)`
Called for every filter, e.g. on wiki engine shutdown.
`void`
BasePageFilter.`initialize(Engine engine, Properties properties)`
If you override this, you should call super.initialize() first.
`void`
PageFilter.`initialize(Engine engine, Properties properties)`
Is called whenever the a new PageFilter is instantiated and reset.

## Uses of Engine in org.apache.wiki.api.plugin

Methods in org.apache.wiki.api.plugin with parameters of type Engine
Modifier and Type
Method
Description
`void`
InitializablePlugin.`initialize(Engine engine)`
Called whenever the plugin is being instantiated for the first time.

## Uses of Engine in org.apache.wiki.api.providers

Methods in org.apache.wiki.api.providers with parameters of type Engine
Modifier and Type
Method
Description
`void`
WikiProvider.`initialize(Engine engine, Properties properties)`
Initializes the page provider.

## Uses of Engine in org.apache.wiki.api.spi

Methods in org.apache.wiki.api.spi that return Engine
Modifier and Type
Method
Description
`Engine`
EngineDSL.`find(jakarta.servlet.ServletConfig config)`
Locate, or build if necessary, a configured `Engine` instance.
`Engine`
EngineDSL.`find(jakarta.servlet.ServletConfig config, Properties props)`
Locate, or build if necessary, a configured `Engine` instance.
`Engine`
EngineDSL.`find(jakarta.servlet.ServletContext context, Properties props)`
Locate, or build if necessary, a configured `Engine` instance.
`Engine`
EngineSPI.`find(jakarta.servlet.ServletContext context, Properties props)`
Locate, or build if necessary, a configured `Engine` instance.
Methods in org.apache.wiki.api.spi with parameters of type Engine
Modifier and Type
Method
Description
`Attachment`
ContentsDSL.`attachment(Engine engine, String parentPage, String fileName)`
Creates a new `Attachment`.
`Attachment`
ContentsSPI.`attachment(Engine engine, String parentPage, String fileName)`
Creates a new `Attachment`.
`Context`
ContextDSL.`create(Engine engine, jakarta.servlet.http.HttpServletRequest request, String requestContext)`
Creates a new Context from a supplied HTTP request, using a default wiki context.
`Context`
ContextDSL.`create(Engine engine, jakarta.servlet.http.HttpServletRequest request, Command command)`
Creates a new Context for the given Engine, Command and HttpServletRequest.
`Context`
ContextDSL.`create(Engine engine, jakarta.servlet.http.HttpServletRequest request, Page page)`
Creates a new Context for the given Engine, Page and HttpServletRequest.
`Context`
ContextDSL.`create(Engine engine, Page page)`
Create a new Context for the given Page.
`Context`
ContextSPI.`create(Engine engine, jakarta.servlet.http.HttpServletRequest request, String requestContext)`
Creates a new Context from a supplied HTTP request, using a default wiki context.
`Context`
ContextSPI.`create(Engine engine, jakarta.servlet.http.HttpServletRequest request, Command command)`
Creates a new Context for the given Engine, Command and HttpServletRequest.
`Context`
ContextSPI.`create(Engine engine, jakarta.servlet.http.HttpServletRequest request, Page page)`
Creates a new Context for the given Engine, Page and HttpServletRequest.
`Context`
ContextSPI.`create(Engine engine, Page page)`
Create a new Context for the given Page.
`Session`
SessionDSL.`find(Engine engine, jakarta.servlet.http.HttpServletRequest request)`
Returns the Session object associated with the current HTTP request.
`Session`
SessionSPI.`find(Engine engine, jakarta.servlet.http.HttpServletRequest request)`
Returns the Session object associated with the current HTTP request.
`Session`
SessionDSL.`guest(Engine engine)`
Creates a new "guest" session containing a single user Principal `org.apache.wiki.auth.WikiPrincipal#GUEST`, plus the role principals `Role#ALL` and `Role#ANONYMOUS`.
`Session`
SessionSPI.`guest(Engine engine)`
Creates a new "guest" session containing a single user Principal `org.apache.wiki.auth.WikiPrincipal#GUEST`, plus the role principals `Role#ALL` and `Role#ANONYMOUS`.
`Page`
ContentsDSL.`page(Engine engine, String name)`
Creates a `Page` instance.
`Page`
ContentsSPI.`page(Engine engine, String name)`
Creates a `Page` instance.
`void`
SessionDSL.`remove(Engine engine, jakarta.servlet.http.HttpServletRequest request)`
Removes the wiki session associated with the user's HTTP request from the cache of wiki sessions, typically as part of a logout process.
`void`
SessionSPI.`remove(Engine engine, jakarta.servlet.http.HttpServletRequest request)`
Removes the wiki session associated with the user's HTTP request from the cache of wiki sessions, typically as part of a logout process.